summaryrefslogtreecommitdiffstats
path: root/perl/perl-Module-Implementation
diff options
context:
space:
mode:
author LEVAI Daniel <leva@ecentrum.hu>2013-11-05 19:56:22 -0500
committer Robby Workman <rworkman@slackbuilds.org>2013-11-06 01:00:01 -0600
commita02c15bfa3cd2dc0db446a4b264d9b384552fcb9 (patch)
tree2b2775871472e7ba1449ef21aa1383761b54e836 /perl/perl-Module-Implementation
parent4b161871dfb9af89118702f88a2f26259008b060 (diff)
downloadslackbuilds-a02c15bfa3cd2dc0db446a4b264d9b384552fcb9.tar.gz
slackbuilds-a02c15bfa3cd2dc0db446a4b264d9b384552fcb9.tar.xz
perl/perl-Module-Implementation: Added (perl module)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'perl/perl-Module-Implementation')
-rw-r--r--perl/perl-Module-Implementation/README1
-rw-r--r--perl/perl-Module-Implementation/perl-Module-Implementation.SlackBuild64
-rw-r--r--perl/perl-Module-Implementation/perl-Module-Implementation.info10
-rw-r--r--perl/perl-Module-Implementation/slack-desc19
4 files changed, 94 insertions, 0 deletions
diff --git a/perl/perl-Module-Implementation/README b/perl/perl-Module-Implementation/README
new file mode 100644
index 0000000000..58b6133473
--- /dev/null
+++ b/perl/perl-Module-Implementation/README
@@ -0,0 +1 @@
+Loads one of several alternate underlying implementations for a module.
diff --git a/perl/perl-Module-Implementation/perl-Module-Implementation.SlackBuild b/perl/perl-Module-Implementation/perl-Module-Implementation.SlackBuild
new file mode 100644
index 0000000000..4f009a29a4
--- /dev/null
+++ b/perl/perl-Module-Implementation/perl-Module-Implementation.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+PRGNAM=perl-Module-Implementation
+VERSION=${VERSION:-0.07}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-Module-Implementation/perl-Module-Implementation.info b/perl/perl-Module-Implementation/perl-Module-Implementation.info
new file mode 100644
index 0000000000..a65089f39e
--- /dev/null
+++ b/perl/perl-Module-Implementation/perl-Module-Implementation.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Module-Implementation"
+VERSION="0.07"
+HOMEPAGE="http://search.cpan.org/dist/Module-Implementation/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/Module-Implementation-0.07.tar.gz"
+MD5SUM="55483fce4266747e823a1004499bd70c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-Test-Fatal perl-Module-Runtime perl-Try-Tiny perl-Test-Requires"
+MAINTAINER="LEVAI Daniel"
+EMAIL="leva@ecentrum.hu"
diff --git a/perl/perl-Module-Implementation/slack-desc b/perl/perl-Module-Implementation/slack-desc
new file mode 100644
index 0000000000..5eb2719a2a
--- /dev/null
+++ b/perl/perl-Module-Implementation/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Module-Implementation: perl-Module-Implementation (perl module)
+perl-Module-Implementation:
+perl-Module-Implementation: Loads one of several alternate underlying implementations for a
+perl-Module-Implementation: module.
+perl-Module-Implementation:
+perl-Module-Implementation: Homepage: http://search.cpan.org/dist/Module-Implementation/
+perl-Module-Implementation:
+perl-Module-Implementation:
+perl-Module-Implementation:
+perl-Module-Implementation:
+perl-Module-Implementation: